<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <GenerateDocumentationFile>True</GenerateDocumentationFile>
<EnableUnsafeBinaryFormatterSerialization>true</EnableUnsafeBinaryFormatterSerialization>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Include\**" />
    <Compile Remove="Logs\**" />
    <Content Remove="Include\**" />
    <Content Remove="Logs\**" />
    <EmbeddedResource Remove="Include\**" />
    <EmbeddedResource Remove="Logs\**" />
    <None Remove="Include\**" />
    <None Remove="Logs\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AlibabaCloud.SDK.Dysmsapi20170525" Version="2.0.23" />
    <PackageReference Include="Aspose.Cells" Version="23.4.0" />
    <PackageReference Include="Autofac" Version="6.4.0" />
    <PackageReference Include="Autofac.Extensions.DependencyInjection" Version="8.0.0" />
    <PackageReference Include="AutoMapper" Version="12.0.0" />
    <PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="12.0.0" />
    <PackageReference Include="Betalgo.OpenAI.GPT3" Version="6.8.3" />
    <PackageReference Include="BouncyCastle.NetCore" Version="1.8.8" />
    <PackageReference Include="EPPlus" Version="7.1.3" />
    <PackageReference Include="Flurl.Http" Version="3.2.4" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="6.0.11" />
    <PackageReference Include="NPOI" Version="2.7.0" />
    <PackageReference Include="PinYinConverterCore" Version="1.0.2" />
    <PackageReference Include="QRCoder" Version="1.4.1" />
    <PackageReference Include="Quartz" Version="3.6.2" />
    <PackageReference Include="QuartzUI.Extension.AspNetCore" Version="1.1.8" />
    <PackageReference Include="RestSharp" Version="106.15.0" />
    <PackageReference Include="Serilog.Sinks.File" Version="5.0.0" />
    <PackageReference Include="SqlSugarCore" Version="5.1.3.35" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.4.0" />
    <PackageReference Include="System.Data.OleDb" Version="8.0.0" />
    <PackageReference Include="TencentCloudSDK.Common" Version="3.0.734" />
    <PackageReference Include="TencentCloudSDK.Ocr" Version="3.0.734" />
    <PackageReference Include="TinyPinyin.Net" Version="1.0.2" />
  </ItemGroup>
	
  <ItemGroup>
    <ProjectReference Include="..\OASystem.Domain\OASystem.Domain.csproj" />
    <ProjectReference Include="..\OASystem.Infrastructure\OASystem.Infrastructure.csproj" />
    <ProjectReference Include="..\OASystem.RedisRepository\OASystem.RedisRepository.csproj" />
  </ItemGroup>
	
  <ItemGroup>
    <Reference Include="Aspose.Words">
      <HintPath>..\package\Aspose.Words.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ProjectExtensions><VisualStudio><UserProperties properties_4launchsettings_1json__JsonSchema="" /></VisualStudio></ProjectExtensions>

</Project>
